Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class Dataset

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.capabilities.Dataset

    public class Dataset

extends Object

This class represents a `Dataset` object. Exactly one root dataset is mandatory. It may contain zero to any number of child datasets.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $

Constructor Summary
`Dataset(boolean queryable, boolean opaque, boolean noSubset, int fixedWidth, int fixedHeight, String name, String title, String abstract_, Keywords[] keywords, List<CoordinateSystem> crsList, String[] mimeTypeFormat, Envelope wgs84BoundingBox, Envelope[] boundingBoxes, Dimension[] dimensions, DataProvider dataProvider, Identifier identifier, MetaData[] metadata, DatasetReference[] datasetReferences, FeatureListReference[] featureListReferences, Style[] styles, double minScaleDenominator, double maxScaleDenominator, Dataset[] datasets, ElevationModel elevationModel, AbstractDataSource[] dataSources, Dataset parent)` Creates a new dataset object from the given parameters.

Method Summary
`String` | `getAbstract()`
`Envelope[]` | `getBoundingBoxes()`
`CoordinateSystem[]` | `getCrs()`
`DataProvider` | `getDataProvider()`
`DatasetReference[]` | `getDatasetReferences()`
`Dataset[]` | `getDatasets()`
`AbstractDataSource[]` | `getDataSources()`
`Dimension[]` | `getDimensions()`
`ElevationModel` | `getElevationModel()`
`FeatureListReference[]` | `getFeatureListReferences()`
`int` | `getFixedHeight()`
`int` | `getFixedWidth()`
`Identifier` | `getIdentifier()`
`Keywords[]` | `getKeywords()`
`double` | `getMaximumScaleDenominator()`
`MetaData[]` | `getMetadata()`
`String[]` | `getMimeTypeFormat()`
`double` | `getMinimumScaleDenominator()`
`String` | `getName()`
`boolean` | `getNoSubset()`
`boolean` | `getOpaque()`
`Dataset` | `getParent()` Returns the parent dataset of this dataset.
`boolean` | `getQueryable()`
`Style[]` | `getStyles()`
`String` | `getTitle()`
`Envelope` | `getWgs84BoundingBox()`
`void` | `setDatasets(Dataset[] datasets)` Each dataset may contain zero to any number of child datasets.
`void` | `setElevationModel(ElevationModel elevationModel)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dataset

    public Dataset(boolean queryable,
                   boolean opaque,
                   boolean noSubset,
                   int fixedWidth,
                   int fixedHeight,
                   String name,
                   String title,
                   String abstract_,
                   Keywords[] keywords,
                   List<CoordinateSystem> crsList,
                   String[] mimeTypeFormat,
                   Envelope wgs84BoundingBox,
                   Envelope[] boundingBoxes,
                   Dimension[] dimensions,
                   DataProvider dataProvider,
                   Identifier identifier,
                   MetaData[] metadata,
                   DatasetReference[] datasetReferences,
                   FeatureListReference[] featureListReferences,
                   Style[] styles,
                   double minScaleDenominator,
                   double maxScaleDenominator,
                   Dataset[] datasets,
                   ElevationModel elevationModel,
                   AbstractDataSource[] dataSources,
                   Dataset parent)

  Creates a new dataset object from the given parameters.

  Parameters:
    `queryable` -
    `opaque` -
    `noSubset` -
    `fixedWidth` -
    `fixedHeight` -
    `name` -
    `title` -
    `abstract_` -
    `keywords` -
    `crsList` - a list of available crs'
    `mimeTypeFormat` -
    `wgs84BoundingBox` -
    `boundingBoxes` -
    `dimensions` -
    `dataProvider` -
    `identifier` -
    `metadata` -
    `datasetReferences` -
    `featureListReferences` -
    `styles` -
    `minScaleDenominator` -
    `maxScaleDenominator` -
    `datasets` -
    `elevationModel` -
    `dataSources` -
    `parent` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setDatasets

    public void setDatasets(Dataset[] datasets)

  Each dataset may contain zero to any number of child datasets.

  Parameters:
    `datasets` - the datasets within this dataset.

### getAbstract

    public String getAbstract()

  Returns:
    Returns the abstract.

### getBoundingBoxes

    public Envelope[] getBoundingBoxes()

  Returns:
    Returns the boundingBoxes.

### getCrs

    public CoordinateSystem[] getCrs()

  Returns:
    Returns the crs.

### getDataProvider

    public DataProvider getDataProvider()

  Returns:
    Returns the dataProvider.

### getDatasets

    public Dataset[] getDatasets()

  Returns:
    all child datasets.

### getDatasetReferences

    public DatasetReference[] getDatasetReferences()

  Returns:
    Returns the datasetReferences.

### getDataSources

    public AbstractDataSource[] getDataSources()

  Returns:
    Returns the dataSources.

### getDimensions

    public Dimension[] getDimensions()

  Returns:
    Returns the dimensions.

### getFeatureListReferences

    public FeatureListReference[] getFeatureListReferences()

  Returns:
    Returns the featureListReferences.

### getIdentifier

    public Identifier getIdentifier()

  Returns:
    Returns the identifier.

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### getMaximumScaleDenominator

    public double getMaximumScaleDenominator()

  Returns:
    Returns the maximumScaleDenominator.

### getMetadata

    public MetaData[] getMetadata()

  Returns:
    Returns the metadata.

### getMimeTypeFormat

    public String[] getMimeTypeFormat()

  Returns:
    Returns the mimeTypeFormat.

### getMinimumScaleDenominator

    public double getMinimumScaleDenominator()

  Returns:
    Returns the minimumScaleDenominator.

### getName

    public String getName()

  Returns:
    Returns the name.

### getStyles

    public Style[] getStyles()

  Returns:
    Returns the styles.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### getWgs84BoundingBox

    public Envelope getWgs84BoundingBox()

  Returns:
    Returns the wgs84BoundingBox.

### getFixedHeight

    public int getFixedHeight()

  Returns:
    Returns the fixedHeight.

### getFixedWidth

    public int getFixedWidth()

  Returns:
    Returns the fixedWidth.

### getNoSubset

    public boolean getNoSubset()

  Returns:
    Returns the noSubset.

### getOpaque

    public boolean getOpaque()

  Returns:
    Returns the opaque.

### getQueryable

    public boolean getQueryable()

  Returns:
    Returns the queryable.

### getElevationModel

    public ElevationModel getElevationModel()

  Returns:
    Returns the elevationModel.

### getParent

    public Dataset getParent()

  Returns the parent dataset of this dataset. If the method returns `null` the current dataset is the root dataset.

  Returns:
    Returns the parent.

### setElevationModel

    public void setElevationModel(ElevationModel elevationModel)

  Parameters:
    `elevationModel` - An other elevationModel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org